%define upstream_name    Linux-Personality
%define upstream_version 0.01

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 19

Summary:    Perl interface to the personality(2) Linux system call
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Linux/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel

%description
This is a Perl interface to the personality(2) Linux system call.

You can use this for instance when running 32bit compiles started from
inside a Perl program in a 32bit chroot but running on a 64bit host kernel.
Without hints the compile tools get confused and try do do 64bit in the
32bit environment.

It's somewhat comparable to the 'setarch' (also known as 'linux32')
utility. With 'personality' you can get similar effect inside a Perl
program.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc ChangeLog README META.yml
%{_mandir}/man3/*
%perl_vendorarch/*




%changelog
* Wed Jun 17 2020 umeabot <umeabot> 0.10.0-19.mga8
+ Revision: 1594842
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 0.10.0-18.mga8
+ Revision: 1529713
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Aug 27 2019 tmb <tmb> 0.10.0-17.mga8
+ Revision: 1433811
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.10.0-16.mga7
+ Revision: 1293324
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 0.10.0-15.mga7
+ Revision: 1249512
- Rebuild for perl 5.28

* Tue Oct 03 2017 tv <tv> 0.10.0-14.mga7
+ Revision: 1165232
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.10.0-13.mga7
+ Revision: 1149032
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 0.10.0-12.mga7
+ Revision: 1127338
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 0.10.0-11.mga6
+ Revision: 1029167
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.10.0-10.mga6
+ Revision: 957657
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 0.10.0-9.mga6
+ Revision: 842734
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.10.0-8.mga5
+ Revision: 748150
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.10.0-7.mga5
+ Revision: 685229
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.10.0-6.mga5
+ Revision: 631374
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.10.0-5.mga4
+ Revision: 524411
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.10.0-4.mga4
+ Revision: 430791
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.10.0-3.mga3
+ Revision: 369115
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Oct 25 2012 shlomif <shlomif> 0.10.0-2.mga3
+ Revision: 309953
- Updated description

* Wed Oct 24 2012 shlomif <shlomif> 0.10.0-1.mga3
+ Revision: 309792
- imported package perl-Linux-Personality


* Wed Oct 24 2012 cpan2dist 0.01-1mga
- initial mageia release, generated with cpan2dist
